> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an object type

> Delete an existing object type. This will permanently remove the object type and all associated data.

> **Scope requirements**


## OpenAPI

````yaml specs/legacy/v1/crm-extensions-v1.json DELETE /extensions/sales-objects/v1/object-types/{objectTypeId}
openapi: 3.0.0
info:
  title: CRM Extensions API v1
  version: 1.0.0
  description: Legacy CRM Extensions API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /extensions/sales-objects/v1/object-types/{objectTypeId}:
    delete:
      summary: Delete an object type
      description: >-
        Delete an existing object type. This will permanently remove the object
        type and all associated data.
      operationId: deleteextensionssalesobjectsv1objecttypesobjectTypeId
      parameters:
        - name: objectTypeId
          in: path
          required: true
          description: The id of the object type you want to delete.
          schema:
            type: string
        - name: hapikey
          in: query
          required: true
          description: >-
            Your Developer HAPIkey. This must be a Developer HAPIkey associated
            with the Developer portal that the OAuth app was created in.
          schema:
            type: string
      responses:
        '204':
          description: Object type deleted successfully

````